"$schema" = 'https://starship.rs/config-schema.json'

add_newline = false

format = '''\[[$username $hostname](bold green)\] $directory$python$fill$time$fill$container$git_branch$git_commit$git_state$git_status
 $character[\$](bold green) '''
right_format = '''$elixir$elm$cmd_duration'''

[username]
show_always = true
format = '[$user]($style) @'
style_user = 'bold green'

[hostname]
ssh_only = false
format = '[$hostname]($style)'
style = 'bold green'

[character]
success_symbol = '[✔](bold green)'
# success_symbol = '[\$](bold green)'
error_symbol = '[✗](bold red)'
# error_symbol = '[\$](bold red)'

[container]
style = 'bold blue dimmed'

[directory]
truncation_symbol = '.../'
truncate_to_repo = false
before_repo_root_style = 'bold cyan'
repo_root_style = 'bold bright-cyan'
repo_root_format = '[$before_root_path]($before_repo_root_style)[$repo_root]($repo_root_style)[$path]($repo_root_style)[$read_only]($read_only_style) '

[fill]
symbol = ' '

[time]
disabled = false
format = '[$time]($style)'

